---
author: "UEFF"
title: "Oznead Koboldbelt"
date: 2017-04-02T12:00:06+01:00
draft: false
type: "showcase"
---

## General info
| | |
|-|-|
| Name | Oznead Koboldbelt |
| Date of birth | 21.7.100 BLC |
| City of birth | [Vin Daral](/cities/vindaral) |
| Nationality | ![Vongram](/images/flags/vongram_small_md.png) [Vongram](/nations/vongram) |
| Race | [Dwarf](/races/dwarf) |
| Position | Coach |
| Current club | [FC Vin Daral](/teams/fcvindaral) |

## Club career

| Club | Season | League position |
|-|-|-|
| [FC Vin Daral](/teams/fcvindaral) | 20 | | |

## Honours

